Remove item - m3ter Documentation
Remove item
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}/{resourceGroupId}/removeresource \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetId": "06f6b50c-a868-4ca6-XXXX-448e507d5248",
"targetType": "item"
}
'```
### Python
```python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}/{resourceGroupId}/removeresource"
payload = {
"targetId": "06f6b50c-a868-4ca6-XXXX-448e507d5248",
"targetType": "item"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetId: '06f6b50c-a868-4ca6-XXXX-448e507d5248', targetType: 'item'})
};
fetch('https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}/{resourceGroupId}/removeresource', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200: Successful request.
- 4XX: Client error.
- 5XX: Server error.
JSON Response Structure
Successful Response
{
"id": "<string>",
"version": 123,
"name": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Error Response
{
"message": "<string>"
}
Parameters
Path Parameters
- orgId: (string) Required. UUID of the organization.
- resourceGroupId: (string) Required. The UUID of the ResourceGroup to remove the item from.
- type: (string) Required. The type of resource.
Body Parameters
- targetId: (string) Required. The id of the item or group to remove.
- targetType: (enum) Required. Specify whether a single item or group ('item' or 'group').
- version: (integer) (optional). The version number of the group.